Bug 1144306 - Apply patch wizard stuck on patch application step
Summary: Apply patch wizard stuck on patch application step
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR3
: EAP 6.4.0
Assignee: Harald Pehl
QA Contact: Pavel Jelinek
URL:
Whiteboard:
Depends On:
Blocks: 1146502
TreeView+ depends on / blocked
 
Reported: 2014-09-19 08:17 UTC by Jakub Cechacek
Modified: 2019-08-19 12:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-19 12:44:13 UTC
Type: Bug


Attachments (Terms of Use)
patch file usable with 6.4.0.Alpha1 (2.71 KB, application/octet-stream)
2014-09-19 08:38 UTC, Jakub Cechacek
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker HAL-493 0 Major Resolved Apply patch wizard stuck on patch application step 2017-10-10 05:36:23 UTC

Description Jakub Cechacek 2014-09-19 08:17:56 UTC
How to reproduce

1. navigate to #patching
2. Apply a New Path
3. Select File
4. Next

Expected result: after a delay apply patch command is processed and user is moved to another step (asking about server restart)
Actual result: wizard is stuck and the spinner signalizing an ongoing operation is displayed indefinitely


Workaround: it is possible to refresh the window some time after step 4. And then restart the server manually by button (this is the missing step)

Comment 1 Jakub Cechacek 2014-09-19 08:38:30 UTC
Created attachment 939139 [details]
patch file usable with 6.4.0.Alpha1

Comment 2 JBoss JIRA Server 2014-09-19 08:44:00 UTC
Harald Pehl <hpehl@redhat.com> updated the status of jira HAL-493 to Coding In Progress

Comment 3 JBoss JIRA Server 2014-09-19 11:51:58 UTC
Harald Pehl <hpehl@redhat.com> updated the status of jira HAL-493 to Resolved

Comment 4 Jakub Cechacek 2014-10-02 07:07:38 UTC
Verified 6.4.0.DR3


Note You need to log in before you can comment on or make changes to this bug.